This project is read-only.
1
Vote

Could not load type AutoMapper.IConfiguration' from assembly AutoMapper Version=5.2.0.0

description

I'm using BootStrapper.AutoMapper 2.0.3.14 extension with AutoMapper 5.2.0.0 and targeting .Net Framework 4.6.1 and I get the following error:

Could not load type 'AutoMapper.IConfiguration' from assembly 'AutoMapper, Version=5.2.0.0

CallStack:
at Bootstrap.AutoMapper.AutoMapperExtension.Run()
at Bootstrap.Bootstrapper.Start()
at Unibet.AU.Infrastructure.Common.Dependency.ContainerFactory.Initialize()
at Cerberus.WebApi.Dependency.DependencyBuilder.BuildDependencies() in C:\Projects\cerberus-services\Cerberus.WebApi.Dependency\DependencyBuilder.cs:line 26
at Cerberus.WebApi.WebApiConfig.Register(HttpConfiguration config) in C:\Projects\cerberus-services\Cerberus.WebApi\App_Start\WebApiConfig.cs:line 14
at System.Web.Http.GlobalConfiguration.Configure(Action`1 configurationCallback)
at Cerberus.WebApi.WebApiApplication.Application_Start() in C:\Projects\cerberus-services\Cerberus.WebApi\Global.asax.cs:line 9

I checked the AutoMapper 5.2.0.0 source code and there is a AutoMapper.Configuration.IConfiguration but no AutoMapper.IConfiguration which is what Bootstrap.AutoMapper is looking for.

Any help would be much appreciated.

comments